## imdbpy 4.5.1

=== debian/changelog ===
imdbpy (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.8.4, no changes required.
  * Install new goodies directory.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 02 Mar 2010 03:58:53 +0100

imdbpy (4.4-1) unstable; urgency=low

  * New upstream release.
  * Add ${misc:Depends} in Depends.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 07 Jan 2010 15:15:47 +0100

imdbpy (4.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. Remove quilt build depends and 
    debian/rules targets.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Nov 2009 22:56:54 +0100

imdbpy (4.2-1) unstable; urgency=low

  * New upstream release.
  * Update patch no_install_doc_or_stuff_in_etc.
  * Update to standards-Version 3.8.3.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Sep 2009 01:00:12 +0200

imdbpy (4.1-1) unstable; urgency=low

  * New upstream release.
  * Update patch no_install_doc_or_stuff_in_etc.
  * Update to standards-Version 3.8.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 03 May 2009 16:20:59 +0200

imdbpy (4.0-1) unstable; urgency=low

  * New upstream release. New build system using setuptools:
    - Add build depend on python-setuptools. 
    - Add patch no_install_doc_or_stuff_in_etc to no install some stuff where
      do not need to be installed.
  * Update copyright holders.
  * Update installed documentation.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 14 Mar 2009 20:02:34 +0100

imdbpy (3.9-1) unstable; urgency=low

  * New upstream release.
  * Replace (c) with © in the copyright file.
  * Update to standards-Version 3.8.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Jan 2009 22:11:23 +0100

imdbpy (3.8-1) unstable; urgency=low

  * New upstream release.
  * Add Suggests on python-sqlalchemy.
  * Small update on the README.Debian file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Dec 2008 02:46:30 +0100

imdbpy (3.7-1) unstable; urgency=low

  * New upstream version.
  * Add Recommends on python-lxml and Suggests on python-sqlobject.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 24 Sep 2008 11:45:31 +0200

imdbpy (3.6-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 08 Jun 2008 19:11:17 +0200

imdbpy (3.5-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 Apr 2008 19:51:14 +0200

imdbpy (3.4-1) unstable; urgency=low

  * New upstream version.
  * Add watch file.
  * Ship configuration file together the documentation. Updated README.Debian.
  * Update Standards-Version to 3.7.3.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 16 Dec 2007 17:33:31 +0100

imdbpy (3.3-1) unstable; urgency=low

  * New upstream version.
  * Move Homepage into control field.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 18 Nov 2007 15:18:06 +0100

imdbpy (3.2-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 06:56:59 +0200

imdbpy (3.1-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Jul 2007 11:36:24 +0200

imdbpy (3.0-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 03 May 2007 22:11:48 +0100

imdbpy (2.9-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 24 Feb 2007 15:07:52 +0100

imdbpy (2.8-1) unstable; urgency=low

  * New upstream version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 15 Dec 2006 10:39:42 +0100

imdbpy (2.7-2) unstable; urgency=low

  * Changed maintainer email address.
  * Added space to homepage pseudo header.
  * Removed dh_python and debian/pycompat. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 27 Oct 2006 19:57:47 +0200

imdbpy (2.7-1) unstable; urgency=low

  * New upstream version.
  * debian/rules cleaned up.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Wed, 27 Sep 2006 13:25:52 +0200

imdbpy (2.6-2) unstable; urgency=low

  * Added missing parsers. (Closes: #380636) 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Mon,  7 Aug 2006 22:29:00 +0200

imdbpy (2.6-1) unstable; urgency=low

  * Initial release. (Closes: #349055)
  * Thank you to Davide Alberani for your patience!

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 29 Jul 2006 15:40:43 +0200

## imdbpy 6.6

=== requirements.txt ===
atomicwrites==1.1.5
attrs==18.1.0
lxml==4.2.3
more-itertools==4.2.0
packaging==17.1
pluggy==0.7.1
py==1.5.4
pyparsing==2.2.0
pytest==3.6.4
six==1.11.0
SQLAlchemy==1.2.10
tox==3.1.2
virtualenv==16.0.0

## imdbpy 4.6.0

=== debian/changelog ===
imdbpy (4.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 22 Jun 2010 23:51:40 +0200

=== debian/control ===
Source: imdbpy
Section: python
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), 
 python-support (>= 0.3), python-setuptools
Standards-Version: 3.8.4
Homepage: http://imdbpy.sourceforge.net

Package: python-imdbpy
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-lxml
Suggests: python-sqlobject, python-sqlalchemy
Provides: ${python:Provides}
Description: Python package to access the IMDb's movie database
 IMDbPY is a Python package useful to retrieve and manage the data of
 the IMDb movie database about both movies and people.
 It can be very easily used by programmers and developers to provide
 access to the IMDb's data to their programs.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)

configure: configure-stamp
configure-stamp: 
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	for py in $(PYVERS); do \
	    $$py setup.py install --root=$(CURDIR)/debian/python-imdbpy --no-compile; \
	done
#	rm -rf $(CURDIR)/debian/python-imdbpy/usr/bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/Changelog.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
	dh_pysupport
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## imdbpy 4.7.0

=== debian/changelog ===
imdbpy (4.7.0-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 27 Jan 2011 14:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), 
  python-support (>= 0.3), python-setuptools
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://imdbpy.sourceforge.net
 
 Package: python-imdbpy

## imdbpy 4.8.2

=== debian/changelog ===
imdbpy (4.8.2-1) unstable; urgency=low

  * New upstream release. (Closes: #647423)
  * Update to Standards-Version 3.9.2, no changes required.
  * Update to dh and also to dh_python2:
    - Update dh compat to 8.
    - Update debhelper version to 8.
    - Remove b-d on python-support.
    - Remove Depends:${python:Depends} and Provides: ${python:Provides}

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 05 Nov 2011 20:18:40 +0100

=== debian/control ===
Source: imdbpy
Section: python
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
Homepage: http://imdbpy.sourceforge.net

Package: python-imdbpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: python-lxml
Suggests: python-sqlobject, python-sqlalchemy
Description: Python package to access the IMDb's movie database
 IMDbPY is a Python package useful to retrieve and manage the data of
 the IMDb movie database about both movies and people.
 It can be very easily used by programmers and developers to provide
 access to the IMDb's data to their programs.

## imdbpy 4.9

=== debian/changelog ===
imdbpy (4.9-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 16 Jun 2012 12:44:26 +0200

imdbpy (4.8.2-2) unstable; urgency=low

  * Really switch to dh_python2 and re-add Depends:${python:Depends}. 
    Thanks to Jakub Wilk. (Closes: #662219)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Mar 2012 20:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-imdbpy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python
 Recommends: python-lxml
 Suggests: python-sqlobject, python-sqlalchemy
 Description: Python package to access the IMDb's movie database

## imdbpy 5.0

=== debian/changelog ===
imdbpy (5.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes in http parser (Closes: #746591)
    - New language translations: ar, bg, de, es, fr
    - README.utf8 has been renamed as README.unicode, update *.docs file.
  * Update to Standards-Version 3.9.5, no changes required.
  * Do not install upstream's changelog twice.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 May 2014 17:08:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://imdbpy.sourceforge.net
 
 Package: python-imdbpy

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2


override_dh_python2:
	dh_python2 --no-guessing-deps

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/imdbpy/IMDbPY-(.*)\.tar\.gz

## imdbpy 5.1

=== debian/changelog ===
imdbpy (5.1-1) unstable; urgency=medium

  * New upstream release:
   - Fix Retrieval of top250 listing returns empty list (Closes: #818973)
  * Update to dh 9.
  * Update to Standards-Version 3.9.8, no changes required.
  * Update copyright years.
  * Add Vcs-* fields.
  * Add b-d on dh-python.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 24 Nov 2016 09:57:31 +0100

=== debian/control ===
Source: imdbpy
Section: python
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.8
Homepage: http://imdbpy.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/users/ana/imdbpy.git
Vcs-Browser: https://anonscm.debian.org/git/users/ana/imdbpy.git

Package: python-imdbpy
Architecture: any
Depends: python, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-lxml
Suggests: python-sqlalchemy, python-sqlobject
Description: Python package to access the IMDb's movie database
 IMDbPY is a Python package useful to retrieve and manage the data of
 the IMDb movie database about both movies and people.
 It can be very easily used by programmers and developers to provide
 access to the IMDb's data to their programs.

## imdbpy 6.6

=== debian/changelog ===
imdbpy (6.6-1) unstable; urgency=medium

  * New upstream release. IMDbPY is only Python 3 now:
   - Remove python-imdbpy and add python3-imdbpy
   - Adjust build-deps and deps
   - Package is now arch:all
   - Update patches, remove no_install_doc_or_stuff_in_etc and
     add do_not_install_scripts. And continue not installing scripts
     under usr/bin/
  * Update Vcs-* fields to point to salsa.
  * Update S-V to 4.2.1, no changes required.
  * Update to dh 11.
  * Update debian/copyright.
  * Update debian/watch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Sep 2018 16:19:35 +0200

=== debian/control ===
Source: imdbpy
Section: python
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.2.1
Homepage: http://imdbpy.sourceforge.net
Vcs-Git: https://salsa.debian.org/ana/imdbpy.git
Vcs-Browser: https://salsa.debian.org/ana/imdbpy

Package: python3-imdbpy
Architecture: all
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-lxml
Suggests: python3-sqlalchemy, python3-sqlobject
Description: Python package to access the IMDb's movie database (Python 3)
 IMDbPY is a Python package useful to retrieve and manage the data of
 the IMDb movie database about both movies and people.
 It can be very easily used by programmers and developers to provide
 access to the IMDb's data to their programs.

## imdbpy 6.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = IMDbPY
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
imdbpy (6.8-3) unstable; urgency=medium

  * Document setup how to run a local database setup: (Closes: #934516)
    - Install s32imdbpy.py /usr/bin, not examples
    - Extend package description to reflect local DB setup and also
      suggest python3-psycopg2
    - Add a debian/README.Debian.local-DB

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 23 Feb 2021 22:44:50 +0100

imdbpy (6.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream FTBFS fix. (Closes: #959652)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 13:52:04 +0200

imdbpy (6.8-2) unstable; urgency=medium

  * Update Homepage and copyright years.
  * Update S-V to 4.4.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 11 Sep 2019 23:01:02 +0200

imdbpy (6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 01 Aug 2019 23:41:27 +0200

=== debian/control ===
Source: imdbpy
Section: python
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.4.0
Homepage: https://imdbpy.github.io/
Vcs-Git: https://salsa.debian.org/ana/imdbpy.git
Vcs-Browser: https://salsa.debian.org/ana/imdbpy

Package: python3-imdbpy
Architecture: all
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-lxml
Suggests: python3-sqlalchemy, python3-sqlobject, python3-psycopg2
Description: Python package to access the IMDb's movie database (Python 3)
 IMDbPY is a Python package useful to retrieve and manage the data of
 the IMDb movie database about both movies and people.
 It can be very easily used by programmers and developers to provide
 access to the IMDb's data to their programs, both by fetching data from
 the IMDB API and by building a local SQL database using the datasets
 provided for download by IMDb.

## imdbpy 2021.04.18

=== Makefile ===
.PHONY: help clean clean-build clean-pyc clean-docs lint test test-all coverage docs dist

help:
	@echo "clean - clean everything"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-docs - remove Sphinx documentation artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "dist - package"

clean: clean-build clean-pyc clean-docs

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-docs:
	make -C docs clean

lint:
	python setup.py flake8

test:
	pytest

test-all:
	tox

coverage:
	pytest --cov-report term-missing --cov=imdb tests

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

dist: clean
	python setup.py check -r -s
	python setup.py sdist
	python setup.py bdist_wheel

=== requirements.txt ===
atomicwrites>=1.1.5
attrs>=18.1.0
lxml>=4.2.3
more-itertools>=4.2.0
packaging>=17.1
pluggy>=0.7.1
py>=1.5.4
pyparsing>=2.2.0
pytest>=3.6.4
six>=1.11.0
SQLAlchemy>=1.3.0
tox>=3.1.2
virtualenv>=16.0.0

=== debian/changelog ===
imdbpy (2021.04.18-3) unstable; urgency=medium

  * debian/tests/unittests
    - skip test_movie_original_title and
      test_selected_ended_tv_series_should_have_correct_series_years in
      autopkgtest; Closes: #1003628

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2022 22:51:33 -0500

imdbpy (2021.04.18-2) unstable; urgency=medium

  * debian/patches/{9ea7fcdd*, eccdcf14*, e162cf90*, PR370}.patch
    - import upstream commits/PRs to get the test suite to pass
  * debian/tests/
    - enable autopkgtest

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Dec 2021 22:00:11 -0500

imdbpy (2021.04.18-1) unstable; urgency=medium

  * New upstream release; Closes: #1002593
  * debian/copyright
    - update upstream copyright years
  * debian/patches/
    - refresh, drop patches merged upstream
  * debian/python3-imdbpy.examples
    - refresh list of examples to install
  * debian/patches/dont_rebuild_locales_with_clean.patch
    - dont rebuild locales when running `setup.py clean`
  * debian/python3-imdbpy.install
    - install imdbpy2sql.py in usr/bin
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/{control, compat}
    - bump dh compat to 13 and start using debhelper-compat instead of d/compat
  * debian/patches/PR363.patch
    - add PR 363 patch to properly detect TV mini-series

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Dec 2021 15:15:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Homepage: https://imdbpy.github.io/
 Vcs-Git: https://salsa.debian.org/ana/imdbpy.git
 Vcs-Browser: https://salsa.debian.org/ana/imdbpy

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-pytest, python3-lxml,
         @,
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/alberanid/imdbpy/tags .*/v?(\d\S+)\.tar\.gz
